[darcs-devel] [darcs #53] Patch: Add test for darcs add behaviour on missing files.

Ralph Corderoy via RT bugs at darcs.net
Mon Nov 8 07:15:34 PST 2004


Mon Nov 08 10:15:33 2004: New ticket: 53.
Transaction: Ticket created by ralph at inputplus.co.uk
       Queue: Darcs
     Subject: Patch: Add test for darcs add behaviour on missing files.
       Owner: Nobody
  Requestors: ralph at inputplus.co.uk
      Status: new
 Ticket <URL: http://bugs.darcs.net/.//Ticket/Display.html?id=53 >


New patches:

[Add test for darcs add behaviour on missing files.
Ralph Corderoy <ralph at inputplus.co.uk>**20041108134847
 Test for desired behaviour on adding a non-existant file, adding a file
 already added, etc.
] {
addfile ./tests/addexitval.sh
hunk ./tests/addexitval.sh 1
+#! /bin/sh
+
+set -ev
+
+test $DARCS || DARCS=`pwd`/../darcs
+darcs=$DARCS
+
+rm -rf tmp
+mkdir tmp
+cd tmp
+$darcs init
+
+empty='test ! -s'
+nonempty='test -s'
+
+rm -f foo
+$darcs add foo >stdout 2>stderr && exit 1 || true
+$empty stdout
+$nonempty stderr
+
+>foo
+$darcs add foo >stdout 2>stderr
+$empty stdout
+$empty stderr
+
+$darcs add foo >stdout 2>stderr && exit 1 || true
+$empty stdout
+$nonempty stderr
+
+rm foo
+$darcs add foo >stdout 2>stderr && exit 1 || true
+$empty stdout
+$nonempty stderr
+
+cd ..
+rm -rf tmp
}



Context:

[TODO items have been merged with wishlist items from the BTS
Mark Stosberg <mark at summersault.com>**20041107211600] 
[clarify build instructions for multiple autoconf installs, plus make vs. gmake
Mark Stosberg <mark at summersault.com>**20041107162522] 
[mention autoconf needs to be 2.5 or higher
Mark Stosberg <mark at summersault.com>**20041023233303] 
[fix formatting of filenames with intl characters.
David Roundy <droundy at abridgegame.org>**20041107124706] 
[tackled TODO item: document interactive mode for 'record'
Mark Stosberg <mark at summersault.com>**20041106225045] 
[document the final step of patches-by-email: confirming if it was applied
Mark Stosberg <mark at summersault.com>**20041106152404] 
[be clearer about what amend-record is doing
Mark Stosberg <mark at summersault.com>**20041106025912] 
[fix antimemoize compile failure.
David Roundy <droundy at abridgegame.org>**20041106115312] 
[fix preproc to allow html linking.
David Roundy <droundy at abridgegame.org>**20041105141525] 
[update win32 build instructions
Will <will at glozer.net>**20041101005116] 
[we don't need to run darcs to get version in index.html make rule.
David Roundy <droundy at abridgegame.org>**20041104133046] 
[TAG 1.0.0rc4
David Roundy <droundy at abridgegame.org>**20041104122403] 

Patch bundle hash:
19bb1dd45ba94f228e8f080891e04d088239befc





More information about the darcs-devel mailing list